aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--common/hooks/post-pkg/01-xdelta_repolist.sh2
-rw-r--r--common/hooks/pre-pkg/01-xdelta_repolist.sh2
-rwxr-xr-xxbps-src3
3 files changed, 3 insertions, 4 deletions
diff --git a/common/hooks/post-pkg/01-xdelta_repolist.sh b/common/hooks/post-pkg/01-xdelta_repolist.sh
index b2b9846ce08..24c961a470f 100644
--- a/common/hooks/post-pkg/01-xdelta_repolist.sh
+++ b/common/hooks/post-pkg/01-xdelta_repolist.sh
@@ -2,7 +2,7 @@
hook() {
set -x
- [ -z "$XBPS_GENERATE_VCDIFF" ] && return 0;
+ type -P xdelta3 > /dev/null || return 0;
find $XBPS_REPOSITORY -name '*.genVcdiff' | xargs -r sha256sum | \
while read chk oldfile; do
diff --git a/common/hooks/pre-pkg/01-xdelta_repolist.sh b/common/hooks/pre-pkg/01-xdelta_repolist.sh
index 6d6b21d739a..4a3941885e2 100644
--- a/common/hooks/pre-pkg/01-xdelta_repolist.sh
+++ b/common/hooks/pre-pkg/01-xdelta_repolist.sh
@@ -1,7 +1,7 @@
# this hook marks files which are about to change for generating vcdiffs
hook() {
- [ -z "$XBPS_GENERATE_VCDIFF" ] && return 0;
+ type -P xdelta3 > /dev/null || return 0;
# create links to preserve old versions of repodata
find $XBPS_REPOSITORY -name '*-repodata' | \
diff --git a/xbps-src b/xbps-src
index 684e19aa149..dc3535ee677 100755
--- a/xbps-src
+++ b/xbps-src
@@ -469,8 +469,7 @@ export XBPS_SHUTILSDIR XBPS_CROSSPFDIR XBPS_TRIGGERSDIR \
XBPS_CCACHE XBPS_DISTCC XBPS_DISTCC_HOSTS XBPS_SKIP_DEPS \
XBPS_SKIP_REMOTEREPOS XBPS_CROSS_BUILD XBPS_PKG_OPTIONS \
XBPS_CONFIG_FILE XBPS_KEEP_ALL XBPS_HOSTDIR XBPS_MASTERDIR \
- XBPS_SRC_VERSION XBPS_DESTDIR FAKEROOT_CMD CHROOT_CMD XBPS_MACHINE \
- XBPS_GENERATE_VCDIFF
+ XBPS_SRC_VERSION XBPS_DESTDIR FAKEROOT_CMD CHROOT_CMD XBPS_MACHINE
for i in REPOSITORY DESTDIR BUILDDIR SRCDISTDIR; do
eval val="\$XBPS_$i"